HestonSLVMCModel Class Reference

`#include <ql/experimental/models/hestonslvmcmodel.hpp>`

Inheritance diagram for HestonSLVMCModel:
[legend]

## Public Member Functions

| HestonSLVMCModel (const Handle< LocalVolTermStructure > &localVol, const Handle< HestonModel > &hestonModel, const boost::shared_ptr< BrownianGeneratorFactory > &brownianGeneratorFactory, const Date &endDate, Size timeStepsPerYear=365, Size nBins=201, Size calibrationPaths=(1<< 15), const std::vector< Date > &mandatoryDates=std::vector< Date >())
boost::shared_ptr< HestonProcess > | hestonProcess () const
boost::shared_ptr< LocalVolTermStructure > | localVol () const
boost::shared_ptr< LocalVolTermStructure > | leverageFunction () const
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Protected Member Functions

void | performCalculations () const
Protected Member Functions inherited from LazyObject
virtual void | calculate () const

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

References:

Anthonie W. van der Stoep,Lech A. Grzelak, Cornelis W. Oosterlee, 2013, The Heston Stochastic-Local Volatility Model: Efficient Monte Carlo Simulation http://papers.ssrn.com/sol3/papers.cfm?abstract_id=2278122

## Member Function Documentation

## performCalculations()

void performCalculations | ( |  | ) | const

protected virtual

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.